
Packaging - Refactor #7988

Remove postinst script duplication across OS packages

10/20/2014 07:05 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases: 3.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/7226,

https://github.com/theforeman/foreman-p

ackaging/pull/8247,

https://github.com/theforeman/foreman-p

ackaging/pull/8252,

https://github.com/theforeman/foreman-p

ackaging/pull/8253

  

Description

postinst scripts are currently duplicated in core packages (identical, depending on DB/non-DB subpackages) and plugins (identical

apart from plugin name) across all OSes.  We should try and deduplicate this with symlinks or similar.

Associated revisions

Revision d188386a - 07/18/2022 02:21 PM - Evgeni Golov

Fixes #7988 - unify foreman postinst files

Revision 2df30b49 - 07/19/2022 07:33 AM - Evgeni Golov

Refs #7988 - use foreman postinst library for deface too

while deface is not a plugin as such, it is handled as one when it comes

to installation/post installation and so we can just re-use our plugin

postinstall library for it too.

History

#1 - 11/27/2020 11:23 AM - Evgeni Golov

- Assignee set to Aaron Stone

#2 - 08/24/2021 10:38 AM - Evgeni Golov

- Assignee changed from Aaron Stone to Evgeni Golov

#3 - 11/05/2021 06:49 PM - Evgeni Golov

- Status changed from New to Assigned

- Pull request https://github.com/theforeman/foreman-packaging/pull/7226 added

#4 - 11/05/2021 06:52 PM - Evgeni Golov

this is finally getting some traction.

in https://github.com/theforeman/foreman-packaging/pull/7226 we implemented a shared library that can be used in plugin postinst scripts

Ewoud asked for improvements to that library to be smarter (auto-detection of apipie and webpack parameters)

foreman core postinst still need de-duplication

this library is yet to be used by all the plugins

#5 - 07/18/2022 07:18 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-packaging/pull/8247 added

#6 - 07/18/2022 02:21 PM - The Foreman Bot

- Fixed in Releases 3.4.0 added

#7 - 07/18/2022 03:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|d188386aef78ab95dbb4847117070de857a3e083.

#8 - 07/19/2022 07:16 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/8252 added

#9 - 07/19/2022 07:31 AM - Evgeni Golov

- Pull request https://github.com/theforeman/foreman-packaging/pull/8253 added

Powered by TCPDF (www.tcpdf.org)

05/19/2024 2/2

https://projects.theforeman.org/projects/rpms/repository/foreman-packaging/revisions/d188386aef78ab95dbb4847117070de857a3e083
http://www.tcpdf.org

